## est-2ed-5-5-source.zip

=== myinterface/Makefile ===
# $Revision: 11 $
# $Date: 2010-12-21 14:53:47 +0100 (tor, 21 dec 2010) $

# Linux instalation
install:
	$(MKDIR) $(DESTDIR)/lib/myinterface
	$(CP) -d $(BINDIR)/mi.tcl $(DESTDIR)/lib/myinterface
	$(CP) -d $(BINDIR)/miDialog.tcl $(DESTDIR)/lib/myinterface
	$(CP) -d $(BINDIR)/pkgIndex.tcl $(DESTDIR)/lib/myinterface

# -----------------------------------------------------------------------
# purge = purify source directory, clean = purify bin directory

purge:
	$(RM) *~

clean:

=== est-2ed/source/Makefile ===
#  Authors     [Robert Meolic (meolic@uni-mb.si)]
#  Revision    [$Revision: 76 $]
#  Date        [$Date: 2013-04-26 14:26:09 +0200 (pet, 26 apr 2013) $]
#
#  Copyright   [This file is part of EST (Efficient Symbolic Tools).
#               Copyright (C) 2003, 2013
#               UM-FERI, Smetanova ulica 17, SI-2000 Maribor, Slovenia
#
#               EST is free software; you can redistribute it and/or modify
#               it under the terms of the GNU General Public License as
#               published by the Free Software Foundation; either version 2
#               of the License, or (at your option) any later version.
#
#               EST is distributed in the hope that it will be useful,
#               but WITHOUT ANY WARRANTY; without even the implied warranty of
#               MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#               GNU General Public License for more details.
#
#               You should have received a copy of the GNU General Public
#               License along with this program; if not, write to the Free
#               Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#               Boston, MA 02110-1301 USA.]

RM = rm -f
CP = cp
MKDIR = mkdir -p
OS = `uname | sed "s/_.*//;s/[0-9]//g"`

EDITION = "2nd\ Edition"
VERSION = `cat VERSION`

all: local
local: localbin localclean locallib

start:
	@echo "EST $(EDITION), release $(VERSION)"
	@echo OS = $(OS)
	@echo Looking for Makefile.$(OS) ...
	@echo

localbin: start
	@echo "!!! LOCALBIN !!!"
	@echo
	$(MAKE) mish -f Makefile.$(OS) "TYPE=local" "EDITION=$(EDITION)" "VERSION=$(VERSION)" "BINDIR=`pwd`/../bin"
	$(CP) COPYING "`pwd`/../bin"
	$(CP) est2ed.tcl "`pwd`/../bin"
	$(CP) pkgIndex.tcl "`pwd`/../bin"
	$(CP) "`pwd`/../../bddview/bddview.tcl" "`pwd`/../bin"
	@cd gui; cat guiIndex.tcl >> "`pwd`/../../bin/pkgIndex.tcl"
	@echo
	@echo "---------------------------------------------------"
	@echo "| EST $(EDITION), release $(VERSION) successfully built |"
	@echo "---------------------------------------------------"
	@echo

locallib: start
	@echo "!!! LOCALLIB !!!"
	@echo
	$(MAKE) lib -f Makefile.$(OS) "TYPE=lib" "EDITION=$(EDITION)" "VERSION=$(VERSION)" "BINDIR=`pwd`/../bin"
	$(MAKE) staticlib -f Makefile.$(OS) "TYPE=lib" "EDITION=$(EDITION)" "VERSION=$(VERSION)" "BINDIR=`pwd`/../bin"
	$(CP) est.h "`pwd`/../bin"
	@echo
	@echo "---------------------------------------------------"
	@echo "| EST $(EDITION), release $(VERSION) successfully built |"
	@echo "---------------------------------------------------"
	@echo

mish: start
	@$(MAKE) mish -f Makefile.$(OS) "TYPE=mish" "EDITION=$(EDITION)" "VERSION=$(VERSION)"
	@echo
	@echo "---------------------------------------------------"
	@echo "| EST $(EDITION), release $(VERSION) successfully built |"
	@echo "---------------------------------------------------"
	@echo

lib: start
	@$(MAKE) lib -f Makefile.$(OS) "TYPE=lib" "EDITION=$(EDITION)" "VERSION=$(VERSION)"

staticlib: start
	@$(MAKE) staticlib -f Makefile.$(OS) "TYPE=staticlib" "EDITION=$(EDITION)" "VERSION=$(VERSION)"

milocal:
	cd gui; cat guiIndex.tcl >> $(BINDIR)/pkgIndex.tcl

purge:
	$(RM) *~
	cd gui; $(MAKE) purge
	cd bdd; $(MAKE) purge
	cd pa; $(MAKE) purge
	cd versis; $(MAKE) purge
	cd mc; $(MAKE) purge
	cd strucval; $(MAKE) purge
	cd ccs; $(MAKE) purge

localclean:
	@cd gui; $(MAKE) clean "BINDIR=../../bin"
	@cd bdd; $(MAKE) clean "BINDIR=../../bin"
	@cd pa; $(MAKE) clean "BINDIR=../../bin"
	@cd versis; $(MAKE) clean "BINDIR=../../bin"
	@cd mc; $(MAKE) clean "BINDIR=../../bin"
	@cd strucval; $(MAKE) clean "BINDIR=../../bin"
	@cd ccs; $(MAKE) clean "BINDIR=../../bin"

# here, BINDIR must be an absolute path
clean:
	@cd gui; $(MAKE) clean "BINDIR=$(BINDIR)"
	@cd bdd; $(MAKE) clean "BINDIR=$(BINDIR)"
	@cd pa; $(MAKE) clean "BINDIR=$(BINDIR)"
	@cd versis; $(MAKE) clean "BINDIR=$(BINDIR)"
	@cd mc; $(MAKE) clean "BINDIR=$(BINDIR)"
	@cd strucval; $(MAKE) clean "BINDIR=$(BINDIR)"
	@cd ccs; $(MAKE) clean "BINDIR=$(BINDIR)"

=== est-2ed/projects/demo/Makefile ===
RM = rm -f
OS = `uname | sed "s/_.*//;s/[0-9]//g"`

all: start demo

static: start stat_demo

start:
	@echo "Project demo"
	@echo OS = $(OS)
	@echo Looking for Makefile.$(OS) ...
	@echo

demo:
	@$(MAKE) -f Makefile.$(OS)

stat_demo:
	@$(MAKE) static -f Makefile.$(OS)

purge:
	@$(RM) *~

clean:
	@$(RM) *.o
	@$(RM) *.out
	@$(RM) *.gcov
	@$(RM) *.gcda
	@$(RM) *.gcno
	@$(RM) *.bb
	@$(RM) *.bbg
	@$(RM) *.da
	@$(RM) biddy.dll
	@$(RM) libbiddy.dylib
	@$(RM) est2.dll
	@$(RM) libest2.dylib
	@$(RM) demo
	@$(RM) demo.exe

=== est-2ed/projects/min/Makefile ===
RM = rm -f
OS = `uname | sed "s/_.*//;s/[0-9]//g"`

all: start min

static: start stat_min

start:
	@echo "Project min"
	@echo OS = $(OS)
	@echo Looking for Makefile.$(OS) ...
	@echo

min:
	@$(MAKE) -f Makefile.$(OS)

stat_min:
	@$(MAKE) static -f Makefile.$(OS)

purge:
	$(RM) *~

clean:
	@$(RM) *.o
	@$(RM) *.out
	@$(RM) *.gcov
	@$(RM) *.gcda
	@$(RM) *.gcno
	@$(RM) *.bb
	@$(RM) *.bbg
	@$(RM) *.da
	@$(RM) biddy.dll
	@$(RM) libbiddy.dylib
	@$(RM) est2.dll
	@$(RM) libest2.dylib
	@$(RM) min
	@$(RM) min.exe

=== est-2ed/projects/wca/Makefile ===
RM = rm -f
OS = `uname | sed "s/_.*//;s/[0-9]//g"`

all: start wca

static: start stat_wca

start:
	@echo "Project wca"
	@echo OS = $(OS)
	@echo Looking for Makefile.$(OS) ...
	@echo

wca:
	@$(MAKE) -f Makefile.$(OS)

stat_wca:
	@$(MAKE) static -f Makefile.$(OS)

purge:
	$(RM) *~

clean:
	@$(RM) *.o
	@$(RM) *.out
	@$(RM) *.gcov
	@$(RM) *.gcda
	@$(RM) *.gcno
	@$(RM) *.bb
	@$(RM) *.bbg
	@$(RM) *.da
	@$(RM) biddy.dll
	@$(RM) libbiddy.dylib
	@$(RM) est2.dll
	@$(RM) libest2.dylib
	@$(RM) wca
	@$(RM) wca.exe

=== est-2ed/source/bdd/Makefile ===
#  Authors     [Robert Meolic (meolic@uni-mb.si)]
#  Revision    [$Revision: 76 $]
#  Date        [$Date: 2013-04-26 14:26:09 +0200 (pet, 26 apr 2013) $]
#
#  Copyright   [This file is part of EST (Efficient Symbolic Tools).
#               Copyright (C) 2003, 2013
#               UM-FERI, Smetanova ulica 17, SI-2000 Maribor, Slovenia
#
#               EST is free software; you can redistribute it and/or modify
#               it under the terms of the GNU General Public License as
#               published by the Free Software Foundation; either version 2
#               of the License, or (at your option) any later version.
#
#               EST is distributed in the hope that it will be useful,
#               but WITHOUT ANY WARRANTY; without even the implied warranty of
#               MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#               GNU General Public License for more details.
#
#               You should have received a copy of the GNU General Public
#               License along with this program; if not, write to the Free
#               Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#               Boston, MA 02110-1301 USA.]

nop:
	@echo Incorrect use of Makefile

purge:
	@$(RM) *~

clean:
	@$(RM) $(BINDIR)/bddMain.o
	@$(RM) $(BINDIR)/bddUtil.o
	@$(RM) $(BINDIR)/bddOutput.o
	@$(RM) $(BINDIR)/bddRel.o
	@$(RM) $(BINDIR)/bddTcl.o
	@$(RM) $(BINDIR)/bddStubInit.o
	@$(RM) $(BINDIR)/bddStubLib.o
	@$(RM) $(BINDIR)/libbddstub.a
	@$(RM) $(BINDIR)/bddMain.bb
	@$(RM) $(BINDIR)/bddMain.bbg
	@$(RM) $(BINDIR)/bddMain.da
	@$(RM) $(BINDIR)/bddUtil.bb
	@$(RM) $(BINDIR)/bddUtil.bbg
	@$(RM) $(BINDIR)/bddUtil.da
	@$(RM) $(BINDIR)/bddOutput.bb
	@$(RM) $(BINDIR)/bddOutput.bbg
	@$(RM) $(BINDIR)/bddOutput.da
	@$(RM) $(BINDIR)/bddRel.bb
	@$(RM) $(BINDIR)/bddRel.bbg
	@$(RM) $(BINDIR)/bddRel.da
	@$(RM) $(BINDIR)/bddTcl.bb
	@$(RM) $(BINDIR)/bddTcl.bbg
	@$(RM) $(BINDIR)/bddTcl.da

=== est-2ed/source/ccs/Makefile ===
#  Authors     [Robert Meolic (meolic@uni-mb.si)]
#  Revision    [$Revision: 76 $]
#  Date        [$Date: 2013-04-26 14:26:09 +0200 (pet, 26 apr 2013) $]
#
#  Copyright   [This file is part of EST (Efficient Symbolic Tools).
#               Copyright (C) 2003, 2013
#               UM-FERI, Smetanova ulica 17, SI-2000 Maribor, Slovenia
#
#               EST is free software; you can redistribute it and/or modify
#               it under the terms of the GNU General Public License as
#               published by the Free Software Foundation; either version 2
#               of the License, or (at your option) any later version.
#
#               EST is distributed in the hope that it will be useful,
#               but WITHOUT ANY WARRANTY; without even the implied warranty of
#               MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#               GNU General Public License for more details.
#
#               You should have received a copy of the GNU General Public
#               License along with this program; if not, write to the Free
#               Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#               Boston, MA 02110-1301 USA.]

RM = rm -f
CP = cp
MKDIR = mkdir -p
CD = cd

ECHO = echo
DATE = date -R
LS = perl -e 'print localtime((stat($$ARGV[0]))[9]) . " $$ARGV[0]\n";'
LINECMD = sed -e 's/\(...\) \(...\) \(..\) \(.*\) \(.*\) \(.*\)/\* \3 \2 \5 \4 \6/'

all: nop
mish: bindir about start ccs ok
lib: bindir header $(BINDIR)/ccsMain.o $(BINDIR)/ccs.tab.o $(BINDIR)/verilog.tab.o

# -----------------------------------------------------------------------
# testing

local: mish
	@$(CP) ccsDialog.tcl $(BINDIR)

# -----------------------------------------------------------------------
# help

nop:
	@echo Please, use \"make -f Makefile.xxx\", where xxx is your OS.

start:
	@echo "-------------------------------"
	@echo "| Building CCS package ... |"
	@echo "-------------------------------"

ok:
	@echo "----------------------------------------"
	@echo "| CCS package successfully compiled |"
	@echo "----------------------------------------"

# -----------------------------------------------------------------------
# create a directory for binary files

bindir:
	@$(MKDIR) $(BINDIR)

# -----------------------------------------------------------------------
# create information about the package

about:
	@$(ECHO) "Builded on \c" > $(BINDIR)/ccs.about
	@$(DATE) >> $(BINDIR)/ccs.about
	@$(LS) ccs.h | $(LINECMD) >> $(BINDIR)/ccs.about
	@$(LS) ccsInt.h | $(LINECMD) >> $(BINDIR)/ccs.about
	@$(LS) ccsMain.c | $(LINECMD) >> $(BINDIR)/ccs.about
	@$(LS) ccsParser.l | $(LINECMD) >> $(BINDIR)/ccs.about
	@$(LS) ccsParser.y | $(LINECMD) >> $(BINDIR)/ccs.about
	@$(LS) ccsVerilog.l | $(LINECMD) >> $(BINDIR)/ccs.about
	@$(LS) ccsVerilog.y | $(LINECMD) >> $(BINDIR)/ccs.about
	@$(LS) ccsTcl.c | $(LINECMD) >> $(BINDIR)/ccs.about
	@$(LS) ccsDialog.tcl | $(LINECMD) >> $(BINDIR)/ccs.about

# -----------------------------------------------------------------------
# copy header file

header:
	@$(CP) ccs.h $(BINDIR)

# -----------------------------------------------------------------------
# make objects
# -----------------------------------------------------------------------

$(BINDIR)/ccsMain.o: ccsMain.c ccs.h ccsInt.h
	$(CC) -o $(BINDIR)/ccsMain.o -c ccsMain.c

$(BINDIR)/ccs.tab.o: ccsParser.l ccsParser.y ccs.h ccsInt.h
	$(FLEX) -Pccs -t ccsParser.l > $(BINDIR)/lex.ccs.c
	$(BISON) -p ccs -b $(BINDIR)/ccs -v ccsParser.y
	$(CC) -I. -I$(BINDIR) -o $(BINDIR)/ccs.tab.o -c $(BINDIR)/ccs.tab.c

$(BINDIR)/verilog.tab.o: ccsVerilog.l ccsVerilog.y ccs.h ccsInt.h
	$(FLEX) -Pverilog -t ccsVerilog.l > $(BINDIR)/lex.verilog.c
	$(BISON) -p verilog -b $(BINDIR)/verilog -v ccsVerilog.y
	$(CC) -I. -I$(BINDIR) -o $(BINDIR)/verilog.tab.o -c $(BINDIR)/verilog.tab.c

# -----------------------------------------------------------------------
# make tcl extension
# -----------------------------------------------------------------------

$(BINDIR)/ccsTcl.o: ccsTcl.c ccs.h ccsInt.h ccsStubInit.c ccsStubLib.c
	$(CC) -o $(BINDIR)/ccsTcl.o -c ccsTcl.c -D'USECONST=$(USECONST)'
	$(CC) -o $(BINDIR)/ccsStubInit.o -c ccsStubInit.c
	$(CC) -o $(BINDIR)/ccsStubLib.o -c ccsStubLib.c

ccs: $(BINDIR)/ccsMain.o $(BINDIR)/ccs.tab.o $(BINDIR)/verilog.tab.o $(BINDIR)/ccsTcl.o
	$(CD) $(BINDIR); $(LN) \
		ccsTcl.o \
		ccsMain.o \
		ccs.tab.o \
		verilog.tab.o \
		ccsStubInit.o \
		$(ESTLIB) $(PTHREADLIB) $(TCLLIB)
	$(CD) $(BINDIR); $(AR) libccsstub.a ccsStubLib.o

# -----------------------------------------------------------------------
# purge = purify source directory, clean = purify bin directory

purge:
	@$(RM) *~

clean:
	@$(RM) $(BINDIR)/ccs.tab.c
	@$(RM) $(BINDIR)/lex.ccs.c
	@$(RM) $(BINDIR)/ccs.output
	@$(RM) $(BINDIR)/verilog.tab.c
	@$(RM) $(BINDIR)/lex.verilog.c
	@$(RM) $(BINDIR)/verilog.output
	@$(RM) $(BINDIR)/ccsMain.o
	@$(RM) $(BINDIR)/ccs.tab.o
	@$(RM) $(BINDIR)/verilog.tab.o
	@$(RM) $(BINDIR)/ccsTcl.o
	@$(RM) $(BINDIR)/ccsStubInit.o
	@$(RM) $(BINDIR)/ccsStubLib.o
	@$(RM) $(BINDIR)/libccsstub.a
	@$(RM) $(BINDIR)/ccsMain.bb
	@$(RM) $(BINDIR)/ccsMain.bbg
	@$(RM) $(BINDIR)/ccsMain.da
	@$(RM) $(BINDIR)/ccsTcl.bb
	@$(RM) $(BINDIR)/ccsTcl.bbg
	@$(RM) $(BINDIR)/ccsTcl.da
	@$(RM) $(BINDIR)/ccs.tab.bb
	@$(RM) $(BINDIR)/ccs.tab.bbg
	@$(RM) $(BINDIR)/ccs.tab.da
	@$(RM) $(BINDIR)/verilog.tab.bb
	@$(RM) $(BINDIR)/verilog.tab.bbg
	@$(RM) $(BINDIR)/verilog.tab.da

=== est-2ed/source/gui/Makefile ===
#  Authors     [Robert Meolic (meolic@uni-mb.si)]
#  Revision    [$Revision: 76 $]
#  Date        [$Date: 2013-04-26 14:26:09 +0200 (pet, 26 apr 2013) $]
#
#  Copyright   [This file is part of EST (Efficient Symbolic Tools).
#               Copyright (C) 2003, 2013
#               UM-FERI, Smetanova ulica 17, SI-2000 Maribor, Slovenia
#
#               EST is free software; you can redistribute it and/or modify
#               it under the terms of the GNU General Public License as
#               published by the Free Software Foundation; either version 2
#               of the License, or (at your option) any later version.
#
#               EST is distributed in the hope that it will be useful,
#               but WITHOUT ANY WARRANTY; without even the implied warranty of
#               MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#               GNU General Public License for more details.
#
#               You should have received a copy of the GNU General Public
#               License along with this program; if not, write to the Free
#               Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#               Boston, MA 02110-1301 USA.]

RM = rm -f
CP = cp
MKDIR = mkdir -p
CD = cd

ECHO = echo
DATE = date -R
LS = perl -e 'print localtime((stat($$ARGV[0]))[9]) . " $$ARGV[0]\n";'
LINECMD = sed -e 's/\(...\) \(...\) \(..\) \(.*\) \(.*\) \(.*\)/\* \3 \2 \5 \4 \6/'

all: nop
mish: bindir about start gui ok

# -----------------------------------------------------------------------
# help

nop:
	@echo Please, use \"make -f Makefile.xxx\", where xxx is your OS.

start:
	@echo "----------------------------"
	@echo "| Building GUI package ... |"
	@echo "----------------------------"

ok:
	@echo "-------------------------------------"
	@echo "| GUI package successfully compiled |"
	@echo "-------------------------------------"

# -----------------------------------------------------------------------
# testing

local: mish
	$(CP) $(GUIPATH)/mi.tcl $(BINDIR)
	$(CP) $(GUIPATH)/miDialog.tcl $(BINDIR)

# -----------------------------------------------------------------------
# create a directory for binary files

bindir:
	@$(MKDIR) $(BINDIR)

# -----------------------------------------------------------------------
# create information about the package

about:
	@$(ECHO) "Builded on \c" > $(BINDIR)/gui.about
	@$(DATE) >> $(BINDIR)/gui.about
	@$(LS) gui.h | $(LINECMD) >> $(BINDIR)/gui.about
	@$(LS) guiInt.h | $(LINECMD) >> $(BINDIR)/gui.about
	@$(LS) guiMain.c | $(LINECMD) >> $(BINDIR)/gui.about
	@$(LS) guiTcl.c | $(LINECMD) >> $(BINDIR)/gui.about

# -----------------------------------------------------------------------
# make objects
# -----------------------------------------------------------------------

$(BINDIR)/guiMain.o: guiMain.c gui.h guiInt.h
	$(CC) -o $(BINDIR)/guiMain.o -c guiMain.c

# -----------------------------------------------------------------------
# make library, use tcl/tk, use mish
# -----------------------------------------------------------------------

$(BINDIR)/guiTcl.o: guiTcl.c gui.h guiInt.h guiStubInit.c guiStubLib.c
	$(CC) -DUSE_TCL_STUBS -o $(BINDIR)/guiTcl.o -c guiTcl.c -D'USECONST=$(USECONST)'
	$(CC) -DUSE_TCL_STUBS -o $(BINDIR)/guiStubInit.o -c guiStubInit.c
	$(CC) -DUSE_TCL_STUBS -o $(BINDIR)/guiStubLib.o -c guiStubLib.c

gui: $(BINDIR)/guiMain.o $(BINDIR)/guiTcl.o $(BINDIR)/guiStubInit.o
	$(CD) $(BINDIR); $(LN) \
		guiTcl.o \
		guiMain.o \
		guiStubInit.o \
		$(ESTLIB) $(TCLSTUBLIB)
	$(CD) $(BINDIR); $(AR) libguistub.a guiStubLib.o
	$(CC) -o $(BINDIR)/$(MAINEXE) ../$(MAINC) $(TCLTKLIB)

# -----------------------------------------------------------------------
# purge = purify source directory, clean = purify bin directory

purge:
	@$(RM) *~

clean:
	@$(RM) $(BINDIR)/guiMain.o
	@$(RM) $(BINDIR)/guiTcl.o
	@$(RM) $(BINDIR)/guiStubInit.o
	@$(RM) $(BINDIR)/guiStubLib.o
	@$(RM) $(BINDIR)/libguistub.a
	@$(RM) $(BINDIR)/guiMain.bb
	@$(RM) $(BINDIR)/guiMain.bbg
	@$(RM) $(BINDIR)/guiMain.da
	@$(RM) $(BINDIR)/guiTcl.bb
	@$(RM) $(BINDIR)/guiTcl.bbg
	@$(RM) $(BINDIR)/guiTcl.da

=== est-2ed/source/mc/Makefile ===
#  Authors     [Robert Meolic (meolic@uni-mb.si)]
#  Revision    [$Revision: 76 $]
#  Date        [$Date: 2013-04-26 14:26:09 +0200 (pet, 26 apr 2013) $]
#
#  Copyright   [This file is part of EST (Efficient Symbolic Tools).
#               Copyright (C) 2003, 2013
#               UM-FERI, Smetanova ulica 17, SI-2000 Maribor, Slovenia
#
#               EST is free software; you can redistribute it and/or modify
#               it under the terms of the GNU General Public License as
#               published by the Free Software Foundation; either version 2
#               of the License, or (at your option) any later version.
#
#               EST is distributed in the hope that it will be useful,
#               but WITHOUT ANY WARRANTY; without even the implied warranty of
#               MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#               GNU General Public License for more details.
#
#               You should have received a copy of the GNU General Public
#               License along with this program; if not, write to the Free
#               Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#               Boston, MA 02110-1301 USA.]

RM = rm -f
CP = cp
MKDIR = mkdir -p
CD = cd

ECHO = echo
DATE = date -R
LS = perl -e 'print localtime((stat($$ARGV[0]))[9]) . " $$ARGV[0]\n";'
LINECMD = sed -e 's/\(...\) \(...\) \(..\) \(.*\) \(.*\) \(.*\)/\* \3 \2 \5 \4 \6/'

all: nop
mish: bindir about start mc ok
lib: bindir header $(BINDIR)/mcMain.o $(BINDIR)/mcThread.o $(BINDIR)/mcDiagnostic.o $(BINDIR)/mcTree.o $(BINDIR)/mcAutomata.o $(BINDIR)/mc.tab.o

# -----------------------------------------------------------------------
# testing

local: mish
	@$(CP) mcDialog.tcl $(BINDIR)

# -----------------------------------------------------------------------
# help

nop:
	@echo Please, use \"make -f Makefile.xxx\", where xxx is your OS.

start:
	@echo "---------------------------------------"
	@echo "| Building Model checking package ... |"
	@echo "---------------------------------------"

ok:
	@echo "------------------------------------------------"
	@echo "| Model checking package successfully compiled |"
	@echo "------------------------------------------------"

# -----------------------------------------------------------------------
# create a directory for binary files

bindir:
	@$(MKDIR) $(BINDIR)

# -----------------------------------------------------------------------
# create information about the package

about:
	@$(ECHO) "Builded on \c" > $(BINDIR)/mc.about
	@$(DATE) >> $(BINDIR)/mc.about
	@$(LS) mc.h | $(LINECMD) >> $(BINDIR)/mc.about
	@$(LS) mcInt.h | $(LINECMD) >> $(BINDIR)/mc.about
	@$(LS) mcMain.c | $(LINECMD) >> $(BINDIR)/mc.about
	@$(LS) mcThread.c | $(LINECMD) >> $(BINDIR)/mc.about
	@$(LS) mcDiagnostic.c | $(LINECMD) >> $(BINDIR)/mc.about
	@$(LS) mcAutomata.c | $(LINECMD) >> $(BINDIR)/mc.about
	@$(LS) mcMsc.c | $(LINECMD) >> $(BINDIR)/mc.about
	@$(LS) mcTree.c | $(LINECMD) >> $(BINDIR)/mc.about
	@$(LS) mcParser.l | $(LINECMD) >> $(BINDIR)/mc.about
	@$(LS) mcParser.y | $(LINECMD) >> $(BINDIR)/mc.about
	@$(LS) mcTcl.c | $(LINECMD) >> $(BINDIR)/mc.about
	@$(LS) mcDialog.tcl | $(LINECMD) >> $(BINDIR)/mc.about

# -----------------------------------------------------------------------
# copy header file

header:
	@$(CP) mc.h $(BINDIR)

# -----------------------------------------------------------------------
# make objects
# -----------------------------------------------------------------------

$(BINDIR)/mcMain.o: mcMain.c mc.h mcInt.h
	$(CC) -o $(BINDIR)/mcMain.o -c mcMain.c

$(BINDIR)/mcThread.o: mcThread.c mc.h mcInt.h
	$(CC) -o $(BINDIR)/mcThread.o -c mcThread.c

$(BINDIR)/mcDiagnostic.o: mcDiagnostic.c mc.h mcInt.h
	$(CC) -o $(BINDIR)/mcDiagnostic.o -c mcDiagnostic.c

$(BINDIR)/mcTree.o: mcTree.c mc.h mcInt.h
	$(CC) -o $(BINDIR)/mcTree.o -c mcTree.c

$(BINDIR)/mcAutomata.o: mcAutomata.c mc.h mcInt.h
	$(CC) -o $(BINDIR)/mcAutomata.o -c mcAutomata.c

$(BINDIR)/mc.tab.o: mcParser.l mcParser.y mc.h mcInt.h
	$(FLEX) -Pmc -t mcParser.l > $(BINDIR)/lex.mc.c
	$(BISON) -p mc -b $(BINDIR)/mc -v mcParser.y
	$(CC) -I. -I$(BINDIR) -o $(BINDIR)/mc.tab.o -c $(BINDIR)/mc.tab.c

# -----------------------------------------------------------------------
# make tcl extension
# -----------------------------------------------------------------------

$(BINDIR)/mcTcl.o: mcTcl.c mc.h mcInt.h mcStubInit.c mcStubLib.c
	$(CC) -o $(BINDIR)/mcTcl.o -c mcTcl.c -D'USECONST=$(USECONST)'
	$(CC) -o $(BINDIR)/mcStubInit.o -c mcStubInit.c
	$(CC) -o $(BINDIR)/mcStubLib.o -c mcStubLib.c

mc: $(BINDIR)/mcMain.o $(BINDIR)/mcThread.o $(BINDIR)/mcDiagnostic.o $(BINDIR)/mcTree.o $(BINDIR)/mcAutomata.o $(BINDIR)/mc.tab.o $(BINDIR)/mcTcl.o
	$(CD) $(BINDIR); $(LN) \
		mcTcl.o \
		mcMain.o \
		mcThread.o \
		mcDiagnostic.o \
		mcTree.o \
		mcAutomata.o \
		mc.tab.o \
		mcStubInit.o \
		$(ESTLIB) $(PTHREADLIB) $(TCLLIB)
	$(CD) $(BINDIR); $(AR) libmcstub.a mcStubLib.o

# -----------------------------------------------------------------------
# purge = purify source directory, clean = purify bin directory

purge:
	@$(RM) *~

clean:
	@$(RM) $(BINDIR)/lex.mc.c
	@$(RM) $(BINDIR)/mc.tab.c
	@$(RM) $(BINDIR)/mc.output
	@$(RM) $(BINDIR)/mcMain.o
	@$(RM) $(BINDIR)/mcThread.o
	@$(RM) $(BINDIR)/mcDiagnostic.o
	@$(RM) $(BINDIR)/mcTree.o
	@$(RM) $(BINDIR)/mcAutomata.o
	@$(RM) $(BINDIR)/mc.tab.o
	@$(RM) $(BINDIR)/mcTcl.o
	@$(RM) $(BINDIR)/mcStubInit.o
	@$(RM) $(BINDIR)/mcStubLib.o
	@$(RM) $(BINDIR)/libmcstub.a
	@$(RM) $(BINDIR)/mcMain.bb
	@$(RM) $(BINDIR)/mcMain.bbg
	@$(RM) $(BINDIR)/mcMain.da
	@$(RM) $(BINDIR)/mcTcl.bb
	@$(RM) $(BINDIR)/mcTcl.bbg
	@$(RM) $(BINDIR)/mcTcl.da
	@$(RM) $(BINDIR)/mcThread.bb
	@$(RM) $(BINDIR)/mcThread.bbg
	@$(RM) $(BINDIR)/mcThread.da
	@$(RM) $(BINDIR)/mcDiagnostic.bb
	@$(RM) $(BINDIR)/mcDiagnostic.bbg
	@$(RM) $(BINDIR)/mcDiagnostic.da
	@$(RM) $(BINDIR)/mcTree.bb
	@$(RM) $(BINDIR)/mcTree.bbg
	@$(RM) $(BINDIR)/mcTree.da
	@$(RM) $(BINDIR)/mcAutomata.bb
	@$(RM) $(BINDIR)/mcAutomata.bbg
	@$(RM) $(BINDIR)/mcAutomata.da
	@$(RM) $(BINDIR)/mc.tab.bb
	@$(RM) $(BINDIR)/mc.tab.bbg
	@$(RM) $(BINDIR)/mc.tab.da

=== est-2ed/source/pa/Makefile ===
#  Authors     [Robert Meolic (meolic@uni-mb.si)]
#  Revision    [$Revision: 76 $]
#  Date        [$Date: 2013-04-26 14:26:09 +0200 (pet, 26 apr 2013) $]
#
#  Copyright   [This file is part of EST (Efficient Symbolic Tools).
#               Copyright (C) 2003, 2013
#               UM-FERI, Smetanova ulica 17, SI-2000 Maribor, Slovenia
#
#               EST is free software; you can redistribute it and/or modify
#               it under the terms of the GNU General Public License as
#               published by the Free Software Foundation; either version 2
#               of the License, or (at your option) any later version.
#
#               EST is distributed in the hope that it will be useful,
#               but WITHOUT ANY WARRANTY; without even the implied warranty of
#               MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#               GNU General Public License for more details.
#
#               You should have received a copy of the GNU General Public
#               License along with this program; if not, write to the Free
#               Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#               Boston, MA 02110-1301 USA.]

RM = rm -f
CP = cp
MKDIR = mkdir -p
CD = cd

ECHO = echo
DATE = date -R
LS = perl -e 'print localtime((stat($$ARGV[0]))[9]) . " $$ARGV[0]\n";'
LINECMD = sed -e 's/\(...\) \(...\) \(..\) \(.*\) \(.*\) \(.*\)/\* \3 \2 \5 \4 \6/'

all: nop
mish: bindir about start pa ok
lib: bindir header $(BINDIR)/paMain.o $(BINDIR)/paKod.o $(BINDIR)/paOutput.o $(BINDIR)/pa.tab.o

# -----------------------------------------------------------------------
# testing

local: mish
	@$(CP) paDialog.tcl $(BINDIR)

# -----------------------------------------------------------------------
# help

nop:
	@echo Please, use \"make -f Makefile.xxx\", where xxx is your OS.

start:
	@echo "----------------------------------------"
	@echo "| Building Process algebra package ... |"
	@echo "----------------------------------------"

ok:
	@echo "-------------------------------------------------"
	@echo "| Process algebra package successfully compiled |"
	@echo "-------------------------------------------------"

# -----------------------------------------------------------------------
# create a directory for binary files

bindir:
	@$(MKDIR) $(BINDIR)

# -----------------------------------------------------------------------
# create information about the package

about:
	@$(ECHO) "Builded on \c" > $(BINDIR)/pa.about
	@$(DATE) >> $(BINDIR)/pa.about
	@$(LS) pa.h | $(LINECMD) >> $(BINDIR)/pa.about
	@$(LS) paInt.h | $(LINECMD) >> $(BINDIR)/pa.about
	@$(LS) paMain.c | $(LINECMD) >> $(BINDIR)/pa.about
	@$(LS) paKod.c | $(LINECMD) >> $(BINDIR)/pa.about
	@$(LS) paOutput.c | $(LINECMD) >> $(BINDIR)/pa.about
	@$(LS) paParser.l | $(LINECMD) >> $(BINDIR)/pa.about
	@$(LS) paParser.y | $(LINECMD) >> $(BINDIR)/pa.about
	@$(LS) paTcl.c | $(LINECMD) >> $(BINDIR)/pa.about
	@$(LS) paDialog.tcl | $(LINECMD) >> $(BINDIR)/pa.about

# -----------------------------------------------------------------------
# copy header file

header:
	@$(CP) pa.h $(BINDIR)

# -----------------------------------------------------------------------
# make objects
# -----------------------------------------------------------------------

$(BINDIR)/paMain.o: paMain.c pa.h paInt.h
	$(CC) -o $(BINDIR)/paMain.o -c paMain.c

$(BINDIR)/paKod.o: paKod.c pa.h paInt.h
	$(CC) -o $(BINDIR)/paKod.o -c paKod.c

$(BINDIR)/paOutput.o: paOutput.c pa.h paInt.h
	$(CC) -o $(BINDIR)/paOutput.o -c paOutput.c

$(BINDIR)/pa.tab.o: paParser.l paParser.y pa.h paInt.h
	$(FLEX) -Ppa -t paParser.l > $(BINDIR)/lex.pa.c
	$(BISON) -p pa -b $(BINDIR)/pa -v paParser.y
	$(CC) -I. -I$(BINDIR) -o $(BINDIR)/pa.tab.o -c $(BINDIR)/pa.tab.c

# -----------------------------------------------------------------------
# make tcl extension
# -----------------------------------------------------------------------

$(BINDIR)/paTcl.o: paTcl.c pa.h paInt.h paStubInit.c paStubLib.c
	$(CC) -o $(BINDIR)/paTcl.o -c paTcl.c -D'USECONST=$(USECONST)'
	$(CC) -o $(BINDIR)/paStubInit.o -c paStubInit.c
	$(CC) -o $(BINDIR)/paStubLib.o -c paStubLib.c

pa: $(BINDIR)/paMain.o $(BINDIR)/paKod.o $(BINDIR)/paOutput.o $(BINDIR)/pa.tab.o $(BINDIR)/paTcl.o
	$(CD) $(BINDIR); $(LN) \
		paTcl.o \
		paMain.o \
		paKod.o \
		paOutput.o \
		pa.tab.o \
		paStubInit.o \
		$(ESTLIB) $(PTHREADLIB) $(TCLLIB)
	$(CD) $(BINDIR); $(AR) libpastub.a paStubLib.o

# -----------------------------------------------------------------------
# purge = purify source directory, clean = purify bin directory

purge:
	@$(RM) *~

clean:
	@$(RM) $(BINDIR)/lex.pa.c
	@$(RM) $(BINDIR)/pa.tab.c
	@$(RM) $(BINDIR)/pa.output
	@$(RM) $(BINDIR)/paMain.o
	@$(RM) $(BINDIR)/paKod.o
	@$(RM) $(BINDIR)/paOutput.o
	@$(RM) $(BINDIR)/pa.tab.o
	@$(RM) $(BINDIR)/paTcl.o
	@$(RM) $(BINDIR)/paStubInit.o
	@$(RM) $(BINDIR)/paStubLib.o
	@$(RM) $(BINDIR)/libpastub.a
	@$(RM) $(BINDIR)/paMain.bb
	@$(RM) $(BINDIR)/paMain.bbg
	@$(RM) $(BINDIR)/paMain.da
	@$(RM) $(BINDIR)/paTcl.bb
	@$(RM) $(BINDIR)/paTcl.bbg
	@$(RM) $(BINDIR)/paTcl.da
	@$(RM) $(BINDIR)/paKod.bb
	@$(RM) $(BINDIR)/paKod.bbg
	@$(RM) $(BINDIR)/paKod.da
	@$(RM) $(BINDIR)/paOutput.bb
	@$(RM) $(BINDIR)/paOutput.bbg
	@$(RM) $(BINDIR)/paOutput.da
	@$(RM) $(BINDIR)/pa.tab.bb
	@$(RM) $(BINDIR)/pa.tab.bbg
	@$(RM) $(BINDIR)/pa.tab.da

=== est-2ed/source/strucval/Makefile ===
#  Authors     [Robert Meolic (meolic@uni-mb.si)]
#  Revision    [$Revision: 76 $]
#  Date        [$Date: 2013-04-26 14:26:09 +0200 (pet, 26 apr 2013) $]
#
#  Copyright   [This file is part of EST (Efficient Symbolic Tools).
#               Copyright (C) 2003, 2013
#               UM-FERI, Smetanova ulica 17, SI-2000 Maribor, Slovenia
#
#               EST is free software; you can redistribute it and/or modify
#               it under the terms of the GNU General Public License as
#               published by the Free Software Foundation; either version 2
#               of the License, or (at your option) any later version.
#
#               EST is distributed in the hope that it will be useful,
#               but WITHOUT ANY WARRANTY; without even the implied warranty of
#               MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#               GNU General Public License for more details.
#
#               You should have received a copy of the GNU General Public
#               License along with this program; if not, write to the Free
#               Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#               Boston, MA 02110-1301 USA.]

RM = rm -f
CP = cp
MKDIR = mkdir -p
CD = cd

ECHO = echo
DATE = date -R
LS = perl -e 'print localtime((stat($$ARGV[0]))[9]) . " $$ARGV[0]\n";'
LINECMD = sed -e 's/\(...\) \(...\) \(..\) \(.*\) \(.*\) \(.*\)/\* \3 \2 \5 \4 \6/'

all: nop
mish: bindir about start strucval ok
lib: bindir header $(BINDIR)/strucvalMain.o $(BINDIR)/strucvalThread.o

# -----------------------------------------------------------------------
# testing

local: mish
	@$(CP) strucvalDialog.tcl $(BINDIR)

# -----------------------------------------------------------------------
# help

nop:
	@echo Please, use \"make -f Makefile.xxx\", where xxx is your OS.

start:
	@echo "---------------------------------------"
	@echo "| Building Strucval package ... |"
	@echo "---------------------------------------"

ok:
	@echo "------------------------------------------------"
	@echo "| Strucval package successfully compiled |"
	@echo "------------------------------------------------"

# -----------------------------------------------------------------------
# create a directory for binary files

bindir:
	@$(MKDIR) $(BINDIR)

# -----------------------------------------------------------------------
# create information about the package

about:
	@$(ECHO) "Builded on \c" > $(BINDIR)/strucval.about
	@$(DATE) >> $(BINDIR)/strucval.about
	@$(LS) strucval.h | $(LINECMD) >> $(BINDIR)/strucval.about
	@$(LS) strucvalInt.h | $(LINECMD) >> $(BINDIR)/strucval.about
	@$(LS) strucvalMain.c | $(LINECMD) >> $(BINDIR)/strucval.about
	@$(LS) strucvalThread.c | $(LINECMD) >> $(BINDIR)/strucval.about
	@$(LS) strucvalTcl.c | $(LINECMD) >> $(BINDIR)/strucval.about
	@$(LS) strucvalDialog.tcl | $(LINECMD) >> $(BINDIR)/strucval.about

# -----------------------------------------------------------------------
# copy header file

header:
	@$(CP) strucval.h $(BINDIR)

# -----------------------------------------------------------------------
# make objects
# -----------------------------------------------------------------------

$(BINDIR)/strucvalMain.o: strucvalMain.c strucval.h strucvalInt.h
	$(CC) -o $(BINDIR)/strucvalMain.o -c strucvalMain.c

$(BINDIR)/strucvalThread.o: strucvalThread.c strucval.h strucvalInt.h
	$(CC) -o $(BINDIR)/strucvalThread.o -c strucvalThread.c

# -----------------------------------------------------------------------
# make tcl extension
# -----------------------------------------------------------------------

$(BINDIR)/strucvalTcl.o: strucvalTcl.c strucval.h strucvalInt.h strucvalStubInit.c strucvalStubLib.c
	$(CC) -o $(BINDIR)/strucvalTcl.o -c strucvalTcl.c -D'USECONST=$(USECONST)'
	$(CC) -o $(BINDIR)/strucvalStubInit.o -c strucvalStubInit.c
	$(CC) -o $(BINDIR)/strucvalStubLib.o -c strucvalStubLib.c

strucval: $(BINDIR)/strucvalMain.o $(BINDIR)/strucvalThread.o $(BINDIR)/strucvalTcl.o
	$(CD) $(BINDIR); $(LN) \
		strucvalTcl.o \
		strucvalMain.o \
		strucvalThread.o \
		strucvalStubInit.o \
		$(ESTLIB) $(PTHREADLIB) $(TCLLIB)
	$(CD) $(BINDIR); $(AR) libstrucvalstub.a strucvalStubLib.o

# -----------------------------------------------------------------------
# purge = purify source directory, clean = purify bin directory

purge:
	@$(RM) *~

clean:
	@$(RM) $(BINDIR)/strucvalMain.o
	@$(RM) $(BINDIR)/strucvalThread.o
	@$(RM) $(BINDIR)/strucvalTcl.o
	@$(RM) $(BINDIR)/strucvalStubInit.o
	@$(RM) $(BINDIR)/strucvalStubLib.o
	@$(RM) $(BINDIR)/libstrucvalstub.a
	@$(RM) $(BINDIR)/strucvalMain.bb
	@$(RM) $(BINDIR)/strucvalMain.bbg
	@$(RM) $(BINDIR)/strucvalMain.da
	@$(RM) $(BINDIR)/strucvalTcl.bb
	@$(RM) $(BINDIR)/strucvalTcl.bbg
	@$(RM) $(BINDIR)/strucvalTcl.da
	@$(RM) $(BINDIR)/strucvalThread.bb
	@$(RM) $(BINDIR)/strucvalThread.bbg
	@$(RM) $(BINDIR)/strucvalThread.da

=== est-2ed/source/versis/Makefile ===
#  Authors     [Robert Meolic (meolic@uni-mb.si)]
#  Revision    [$Revision: 76 $]
#  Date        [$Date: 2013-04-26 14:26:09 +0200 (pet, 26 apr 2013) $]
#
#  Copyright   [This file is part of EST (Efficient Symbolic Tools).
#               Copyright (C) 2003, 2013
#               UM-FERI, Smetanova ulica 17, SI-2000 Maribor, Slovenia
#
#               EST is free software; you can redistribute it and/or modify
#               it under the terms of the GNU General Public License as
#               published by the Free Software Foundation; either version 2
#               of the License, or (at your option) any later version.
#
#               EST is distributed in the hope that it will be useful,
#               but WITHOUT ANY WARRANTY; without even the implied warranty of
#               MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#               GNU General Public License for more details.
#
#               You should have received a copy of the GNU General Public
#               License along with this program; if not, write to the Free
#               Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#               Boston, MA 02110-1301 USA.]

RM = rm -f
CP = cp
MKDIR = mkdir -p
CD = cd

ECHO = echo
DATE = date -R
LS = perl -e 'print localtime((stat($$ARGV[0]))[9]) . " $$ARGV[0]\n";'
LINECMD = sed -e 's/\(...\) \(...\) \(..\) \(.*\) \(.*\) \(.*\)/\* \3 \2 \5 \4 \6/'

all: nop
mish: bindir about start versis ok
lib: bindir header $(BINDIR)/versisMain.o $(BINDIR)/versisThread.o $(BINDIR)/versisComp.o $(BINDIR)/versisEqv.o $(BINDIR)/versisMin.o

# -----------------------------------------------------------------------
# testing

local: mish
	@$(CP) versisDialog.tcl $(BINDIR)

# -----------------------------------------------------------------------
# help

nop:
	@echo Please, use \"make -f Makefile.xxx\", where xxx is your OS.

start:
	@echo "-------------------------------"
	@echo "| Building Versis package ... |"
	@echo "-------------------------------"

ok:
	@echo "----------------------------------------"
	@echo "| Versis package successfully compiled |"
	@echo "----------------------------------------"

# -----------------------------------------------------------------------
# create a directory for binary files

bindir:
	@$(MKDIR) $(BINDIR)

# -----------------------------------------------------------------------
# create information about the package

about:
	@$(ECHO) "Builded on \c" > $(BINDIR)/versis.about
	@$(DATE) >> $(BINDIR)/versis.about
	@$(LS) versis.h | $(LINECMD) >> $(BINDIR)/versis.about
	@$(LS) versisInt.h | $(LINECMD) >> $(BINDIR)/versis.about
	@$(LS) versisMain.c | $(LINECMD) >> $(BINDIR)/versis.about
	@$(LS) versisThread.c | $(LINECMD) >> $(BINDIR)/versis.about
	@$(LS) versisComp.c | $(LINECMD) >> $(BINDIR)/versis.about
	@$(LS) versisEqv.c | $(LINECMD) >> $(BINDIR)/versis.about
	@$(LS) versisMin.c | $(LINECMD) >> $(BINDIR)/versis.about
	@$(LS) versisTcl.c | $(LINECMD) >> $(BINDIR)/versis.about
	@$(LS) versisDialog.tcl | $(LINECMD) >> $(BINDIR)/versis.about

# -----------------------------------------------------------------------
# copy header file

header:
	@$(CP) versis.h $(BINDIR)

# -----------------------------------------------------------------------
# make objects
# -----------------------------------------------------------------------

$(BINDIR)/versisMain.o: versisMain.c versis.h versisInt.h
	$(CC) -o $(BINDIR)/versisMain.o -c versisMain.c

$(BINDIR)/versisThread.o: versisThread.c versis.h versisInt.h
	$(CC) -o $(BINDIR)/versisThread.o -c versisThread.c

$(BINDIR)/versisComp.o: versisComp.c versis.h versisInt.h
	$(CC) -o $(BINDIR)/versisComp.o -c versisComp.c

$(BINDIR)/versisEqv.o: versisEqv.c versis.h versisInt.h
	$(CC) -o $(BINDIR)/versisEqv.o -c versisEqv.c

$(BINDIR)/versisMin.o: versisMin.c versis.h versisInt.h
	$(CC) -o $(BINDIR)/versisMin.o -c versisMin.c

# -----------------------------------------------------------------------
# make tcl extension
# -----------------------------------------------------------------------

$(BINDIR)/versisTcl.o: versisTcl.c versis.h versisInt.h versisStubInit.c versisStubLib.c
	$(CC) -o $(BINDIR)/versisTcl.o -c versisTcl.c -D'USECONST=$(USECONST)'
	$(CC) -o $(BINDIR)/versisStubInit.o -c versisStubInit.c
	$(CC) -o $(BINDIR)/versisStubLib.o -c versisStubLib.c

versis: $(BINDIR)/versisMain.o $(BINDIR)/versisThread.o $(BINDIR)/versisComp.o $(BINDIR)/versisEqv.o $(BINDIR)/versisMin.o $(BINDIR)/versisTcl.o
	$(CD) $(BINDIR); $(LN) \
		versisTcl.o \
		versisMain.o \
		versisThread.o \
		versisComp.o \
		versisEqv.o \
		versisMin.o \
		versisStubInit.o \
		$(ESTLIB) $(PTHREADLIB) $(TCLLIB)
	$(CD) $(BINDIR); $(AR) libversisstub.a versisStubLib.o

# -----------------------------------------------------------------------
# purge = purify source directory, clean = purify bin directory

purge:
	@$(RM) *~

clean:
	@$(RM) $(BINDIR)/versisMain.o
	@$(RM) $(BINDIR)/versisThread.o
	@$(RM) $(BINDIR)/versisComp.o
	@$(RM) $(BINDIR)/versisEqv.o
	@$(RM) $(BINDIR)/versisMin.o
	@$(RM) $(BINDIR)/versisTcl.o
	@$(RM) $(BINDIR)/versisStubInit.o
	@$(RM) $(BINDIR)/versisStubLib.o
	@$(RM) $(BINDIR)/libversisstub.a
	@$(RM) $(BINDIR)/versisMain.bb
	@$(RM) $(BINDIR)/versisMain.bbg
	@$(RM) $(BINDIR)/versisMain.da
	@$(RM) $(BINDIR)/versisTcl.bb
	@$(RM) $(BINDIR)/versisTcl.bbg
	@$(RM) $(BINDIR)/versisTcl.da
	@$(RM) $(BINDIR)/versisThread.bb
	@$(RM) $(BINDIR)/versisThread.bbg
	@$(RM) $(BINDIR)/versisThread.da
	@$(RM) $(BINDIR)/versisComp.bb
	@$(RM) $(BINDIR)/versisComp.bbg
	@$(RM) $(BINDIR)/versisComp.da
	@$(RM) $(BINDIR)/versisEqv.bb
	@$(RM) $(BINDIR)/versisEqv.bbg
	@$(RM) $(BINDIR)/versisEqv.da
	@$(RM) $(BINDIR)/versisMin.bb
	@$(RM) $(BINDIR)/versisMin.bbg
	@$(RM) $(BINDIR)/versisMin.da

=== est-2ed/debian/control ===
Source: est2ed
Section: math
Priority: extra
Maintainer: Robert Meolic <meolic@uni-mb.si>
Build-Depends: debhelper (>= 8.0.0), bison, flex, tcl-dev, tk-dev, libbiddy1-dev (>= 1.1)
Standards-Version: 3.9.3

Package: est2ed
Section: math
Architecture: any
Depends: tcl, tk, libbiddy1 (>= 1.1), ${shlibs:Depends}, ${misc:Depends}
Description: Efficient Symbolic Tools 2nd Edition
 http://lms.uni-mb.si/EST/
 EST is a tool for the formal verification of systems.
 EST is a collection of algorithms based on binary decision diagrams (BDDs).
 Currently, it supports only our own BDD package called Biddy, but one day
 it could support other BDD packages, too.
 This package includes simple Tcl/Tk GUI called My Interface.

=== est-2ed/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Changed by Robert Meolic (meolic@uni-mb.si).

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Add here commands to configure the package.
configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

# Add here commands to compile the package.
build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) mish "BINDIR=`pwd`/bin"
	$(MAKE) milocal "BINDIR=`pwd`/bin"
	touch $@

# Add here commands to clean up after the build process.
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean "BINDIR=`pwd`/bin"
	dh_clean

# Add here commands to install the package into debian/package/usr
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) -f Makefile.Linux DESTDIR=$(CURDIR)/debian/est2ed/usr install "BINDIR=`pwd`/bin"

# Build architecture-independent files here.
# We have nothing to do by default.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps -l /home/meolic/est/biddy/bin --dpkg-shlibdeps-params=--ignore-missing-info
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
